<?php



require_once GREEN_ZONE_DIR . 'Utils/GZ_DataMapper.php';



class ObsInterface extends GZ_DataMapper
{
  public function __construct()
  {
    parent::__construct();
    
    $this->MakeMapping( 'primary_key', 'GetObservationHeader()->GetFileID' );
    $this->MakeMapping( 'file_id', 'GetObservationHeader()->GetFileID' );
    $this->MakeMapping( 'src_name', 'GetObservationHeader()->GetPulsarName' );
    $this->MakeMapping( 'data_loc', 'GetObservationHeader()->GetFile', 'GetFilename' );
    $this->MakeMapping( 'rajd', 'GetObservationHeader()->GetCoordinates()->GetRA', 'ToDegrees' );
    $this->MakeMapping( 'decjd', 'GetObservationHeader()->GetCoordinates()->GetDEC', 'ToDegrees' );
    $this->MakeMapping( 'distance', 'GetObservationHeader()->GetDistance' );
    $this->MakeMapping( 'project_id', 'GetObservationHeader()->GetProjectID' );
    $this->MakeMapping( 'filename', 'GetObservationHeader()->GetFile', 'GetFilename' );
    $this->MakeMapping( 'data_type', 'GetObservationHeader()->GetDataType' );
    $this->MakeMapping( 'mjd', 'GetObservationHeader()->GetMJD', 'ToString' );
    $this->MakeMapping( 'date', 'GetObservationHeader()->GetDate', 'ToDMYString2' );
    $this->MakeMapping( 'ut', 'GetObservationHeader()->GetUT' );
    $this->MakeMapping( 'obsfreq', 'GetObservationHeader()->GetObsFreq' );
    $this->MakeMapping( 'bw', 'GetObservationHeader()->GetBW' );
    $this->MakeMapping( 'scanlen', 'GetObservationHeader()->GetScanLen' );
    $this->MakeMapping( 'child_interface', 'GetObservationHeader()->GetChildInterface' );
  }
};

?>